# Asterisk Project : Asterisk 13 ManagerAction_GetConfigJSON

Created by wikibot on Aug 08, 2014

# GetConfigJSON

### Synopsis

Retrieve configuration (JSON format).

### Description

This action will dump the contents of a configuration file by category and contents in JSON format. This only makes sense to be used using rawman over the HTTP interface.

### Syntax

    Action: GetConfigJSON
    ActionID: <value>
    Filename: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Filename` - Configuration filename (e.g. `foo.conf`).

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538